Name:           python-pyqtchart
Version:        5.11.1
Release:        1%{?dist}
Summary:        Set of Python bindings for The Qt Charts library
License:        GPLv3
URL:            https://www.riverbankcomputing.com/software/pyqtchart/
Source0:        https://sourceforge.net/projects/pyqt/files/PyQtChart/PyQtChart-%{version}/PyQtChart_gpl-%{version}.tar.gz

# Install dist-info into buildroot and not to /usr/...
Patch0:         %{name}-distinfo.patch

BuildRequires:  python3-devel
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-sip-devel
BuildRequires:  qt5-devel
BuildRequires:  qt5-qtcharts-devel

%global distinfo %{python3_sitearch}/PyQtChart-%{version}.dist-info

%description
PyQtChart is a set of Python bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt5 and are implemented as a single module.


%package -n python3-pyqtchart
Summary:    %{summary}
%{?python_provide:%python_provide python3-pyqtchart}
Requires:   python3-qt5

%description -n python3-pyqtchart
PyQtChart is a set of Python 3 bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt5 and are implemented as a single module.


%package -n python3-pyqtchart-devel
Summary:    Development files for PyQtChart
%{?python_provide:%python_provide python3-pyqtchart-devel}
Requires:   python3-pyqtchart%{_isa} == %{version}-%{release}
# For the directories:
Requires:   python3-qt5-devel
Requires:   python3-qscintilla-qt5
Requires:   qt5-qtbase

%description -n python3-pyqtchart-devel
Development files for PyQtChart, such as sip files.


%prep
%autosetup -p1 -n PyQtChart_gpl-%{version}


%build
%{__python3} ./configure.py \
  --qmake="%{_qt5_qmake}" \
  --sip=%{_bindir}/python3-sip \
  --pyqt-sipdir=%{_datadir}/python3-sip/PyQt5 \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"


%install
%make_install INSTALL_ROOT=%{buildroot}


%check
# Make sure we don't leak buildroot to dist-info
! grep %{buildroot} %{buildroot}%{distinfo}/*


%files -n python3-pyqtchart
%license LICENSE
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtChart.*
%{distinfo}/

%files -n python3-pyqtchart-devel
%{_datadir}/qt5/qsci/api/python/PyQtChart.api
%{_datadir}/python3-sip/PyQt5/QtChart/


%changelog
* Fri Jun 29 2018 Miro Hrončok <mhroncok@redhat.com> - 5.11.1-1
- Initial package
